/* ==== GERAL ===================== */

:root {
    --body-bg-color: #121214;
    --text-color: #E1E1E6;
    --title-color: #04D361;
    --form-color: #A8A8A8;
    --bg-button-color: #8257e5;

    font-size: 62.5%; /* 1rem = 10px */
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    width: 100%;
    height: 100%;

    font-style: normal;
    font-size: 1.6rem; /* 16px */
}

/* ==== MAIN ====================== */

.main {
    width: 50%;
    height: 100vh;
    background: var(--body-bg-color);

    padding: 5rem 3rem;
}

.main img {
    width: 38.9rem;
    height: 9.4rem;
}

/* ==== CONTENT =================== */

.content {
    margin-left: 0.6rem;
}

.content h2 {
    font-family: 'Work Sans';
    font-weight: 700;
    font-size: 2.4rem;
    line-height: 2.8rem;

    color: var(--title-color);

    margin-top: 9.2rem;
}

.content h4 {
    font-family: 'Spartan';
    font-weight: 700;
    font-size: 1.4rem;
    line-height: 1.6rem;

    color: #FFFFFF;

    margin-top: 0.856rem;
}

.content p {
    font-family: 'Spartan';
    font-weight: 400;
    font-size: 1.4rem;
    line-height: 1.9rem;

    color: #FFFFFF;

    margin-top: 0.9rem;
}

.content form {
    width: 79.8rem;
    margin-top: 5rem;
}

.content form div {
    display: flex;
    align-items: center;

    margin-top: 1.7rem;
}

.content form label {
    font-family: 'Spartan';
    font-weight: 700;
    font-size: 1.4rem;
    line-height: 138.73%;

    color: var(--form-color);
}

.content form svg {
    width: 0.5rem;
    height: 4.8rem;
}

.content form #email {
    width: 74.5rem;
    height: 4.8rem;

    font-family: 'Work Sans';
    font-weight: 400;
    font-size: 1.2rem;
    line-height: 1.4rem;

    color: #6A6A6A;

    padding: 1rem;
    border: none;
}

.content form button {
    width: 4.8rem;
    height: 4.8rem;

    background: var(--bg-button-color);

    border: none;
}

.content form button svg {
    width: 2.4rem;
    height: 2.4rem;

    stroke: white;
}

.content a {
    display: flex;
    gap: 0.5rem;

    margin-top: 5rem;
}

.content a h3 {
    font-family: 'Spartan';
    font-weight: 700;
    font-size: 1.4rem;
    line-height: 138.73%;

    color: var(--bg-button-color);
}

.content a svg {
    width: 2.4rem;
    height: 2.4rem;

    fill: var(--bg-button-color);
    stroke: var(--bg-button-color);
}

/* ==== ASIDE ===================== */

.aside img {
    position: absolute;
    height: 100vh;
    top: 0;
    right: 0;

    z-index: -1;
}
